%define upstream_name    Test-Able
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    xUnit with Moose
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Moose) >= 0.940.0
BuildArch:  noarch

%description
An xUnit style testing framework inspired by the Test::Class manpage and
built using the Moose manpage. It can do all the important things
Test::Class can do and more. The prime advantages of using this module
instead of Test::Class are flexibility and power. Namely, Moose.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373325
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 172183
- update to 0.11

* Mon Nov 07 2011 jquelin <jquelin> 0.100.0-2.mga2
+ Revision: 164921
- fix summary & description

* Mon Nov 07 2011 jquelin <jquelin> 0.100.0-1.mga2
+ Revision: 164882
- imported package perl-Test-Able

